#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Tools for testing processes
Summary(pl.UTF-8):	Narzędzia do testowania procesów
Name:		python-process_tests
Version:	2.1.2
Release:	4
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/process-tests/
Source0:	https://files.pythonhosted.org/packages/source/p/process-tests/process-tests-%{version}.tar.gz
# Source0-md5:	bd65932ebc724e53dd6a951bc106b02e
URL:		https://github.com/ionelmc/python-process-tests
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for testing processes.

%description -l pl.UTF-8
Narzędzia do testowania procesów.

%package -n python3-process_tests
Summary:	Tools for testing processes
Summary(pl.UTF-8):	Narzędzia do testowania procesów
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-process_tests
Tools for testing processes.

%description -n python3-process_tests -l pl.UTF-8
Narzędzia do testowania procesów.

%prep
%setup -q -n process-tests-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/process_tests.py[co]
%{py_sitescriptdir}/process_tests-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-process_tests
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/process_tests.py
%{py3_sitescriptdir}/__pycache__/process_tests.cpython-*.py[co]
%{py3_sitescriptdir}/process_tests-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-process_tests.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e2647db
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0b87a52
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c7e345e
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 3d07e09
- updated to 2.1.2

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 13770b4
- release 2 (by relup.sh)

* Tue Mar 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 9bbefd7
- updated to 2.0.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 243d9f5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Jul 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 2afaf53
- updated to 2.0.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c13644
- release 2 (by relup.sh)

* Tue Mar 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 5bd5d92
- new

